summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorDaniel Hahler <git@thequod.de>2015-11-17 18:51:29 +0100
committerDaniel Hahler <git@thequod.de>2015-11-17 18:51:29 +0100
commit95c69083c7d2e2affce4cacf2467a7865425e167 (patch)
tree89a9d15671222c092003d8ca51c51ad54eced910 /shell
parent57a37b5832061b5b9c1f04a96af6d36345fc8618 (diff)
zsh completion: use \grep to skip any alias
Diffstat (limited to 'shell')
-rw-r--r--shell/completion.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/shell/completion.zsh b/shell/completion.zsh
index d2034986..a2b07ce8 100644
--- a/shell/completion.zsh
+++ b/shell/completion.zsh
@@ -21,7 +21,7 @@ __fzf_generic_path_completion() {
tail=$6
[ ${FZF_TMUX:-1} -eq 1 ] && fzf="fzf-tmux -d ${FZF_TMUX_HEIGHT:-40%}" || fzf="fzf"
- if ! setopt | grep nonomatch > /dev/null; then
+ if ! setopt | \grep nonomatch > /dev/null; then
nnm=1
setopt nonomatch
fi
@@ -117,7 +117,7 @@ _fzf_complete_unalias() {
fzf-completion() {
local tokens cmd prefix trigger tail fzf matches lbuf d_cmds sws
- if setopt | grep shwordsplit > /dev/null; then
+ if setopt | \grep shwordsplit > /dev/null; then
sws=1
unsetopt shwordsplit
fi
@@ -167,7 +167,7 @@ fzf-completion() {
}
[ -z "$fzf_default_completion" ] &&
- fzf_default_completion=$(bindkey '^I' | grep -v undefined-key | awk '{print $2}')
+ fzf_default_completion=$(bindkey '^I' | \grep -v undefined-key | awk '{print $2}')
zle -N fzf-completion
bindkey '^I' fzf-completion